OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_Volume3dElementRepresentation Class Reference

Representation of STEP entity Volume3dElementRepresentation
.

`#include <StepFEA_Volume3dElementRepresentation.hxx>`

Inheritance diagram for StepFEA_Volume3dElementRepresentation:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_Volume3dElementRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentation_Name, const Handle(StepRepr_HArray1OfRepresentationItem)&aRepresentation_Items, const Handle(StepRepr_RepresentationContext)&aRepresentation_ContextOfItems, const Handle(StepFEA_HArray1OfNodeRepresentation)&aElementRepresentation_NodeList, const Handle(StepFEA_FeaModel3d)&aModelRef, const Handle(StepElement_Volume3dElementDescriptor)&aElementDescriptor, const Handle(StepElement_ElementMaterial)&aMaterial)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepFEA_FeaModel3d | ModelRef () const
| Returns field ModelRef .
Standard_EXPORT void | SetModelRef (const Handle(StepFEA_FeaModel3d)&ModelRef)
| Set field ModelRef .
Standard_EXPORT Handle_StepElement_Volume3dElementDescriptor | ElementDescriptor () const
| Returns field ElementDescriptor .
Standard_EXPORT void | SetElementDescriptor (const Handle(StepElement_Volume3dElementDescriptor)&ElementDescriptor)
| Set field ElementDescriptor .
Standard_EXPORT Handle_StepElement_ElementMaterial | Material () const
| Returns field Material .
Standard_EXPORT void | SetMaterial (const Handle(StepElement_ElementMaterial)&Material)
| Set field Material .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepFEA_FeaModel3d | theModelRef
Handle_StepElement_Volume3dElementDescriptor | theElementDescriptor
Handle_StepElement_ElementMaterial | theMaterial

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Volume3dElementRepresentation::StepFEA_Volume3dElementRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepElement_Volume3dElementDescriptor StepFEA_Volume3dElementRepresentation::ElementDescriptor | ( |  | ) | const

Standard_EXPORT const StepFEA_Volume3dElementRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_ElementRepresentation.

Standard_EXPORT void StepFEA_Volume3dElementRepresentation::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentation_Name,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aRepresentation_Items,
|  | const Handle(StepRepr_RepresentationContext)& | aRepresentation_ContextOfItems,
|  | const Handle(StepFEA_HArray1OfNodeRepresentation)& | aElementRepresentation_NodeList,
|  | const Handle(StepFEA_FeaModel3d)& | aModelRef,
|  | const Handle(StepElement_Volume3dElementDescriptor)& | aElementDescriptor,
|  | const Handle(StepElement_ElementMaterial)& | aMaterial
| ) |

Standard_EXPORT Handle_StepElement_ElementMaterial StepFEA_Volume3dElementRepresentation::Material | ( |  | ) | const

Standard_EXPORT Handle_StepFEA_FeaModel3d StepFEA_Volume3dElementRepresentation::ModelRef | ( |  | ) | const

Standard_EXPORT void StepFEA_Volume3dElementRepresentation::SetElementDescriptor | ( | const Handle(StepElement_Volume3dElementDescriptor)& | ElementDescriptor | ) |

Standard_EXPORT void StepFEA_Volume3dElementRepresentation::SetMaterial | ( | const Handle(StepElement_ElementMaterial)& | Material | ) |

Standard_EXPORT void StepFEA_Volume3dElementRepresentation::SetModelRef | ( | const Handle(StepFEA_FeaModel3d)& | ModelRef | ) |

## Field Documentation

Handle_StepElement_Volume3dElementDescriptor StepFEA_Volume3dElementRepresentation::theElementDescriptor`[private]`

Handle_StepElement_ElementMaterial StepFEA_Volume3dElementRepresentation::theMaterial`[private]`

Handle_StepFEA_FeaModel3d StepFEA_Volume3dElementRepresentation::theModelRef`[private]`

The documentation for this class was generated from the following file:

- StepFEA_Volume3dElementRepresentation.hxx